#' Competence items for plausible values estimation
#'
#' The data set contains simulated dichotomous competence
#' test items (loosely based on NEPS SC6)
#'
#' @format A data frame with 5330 rows and 30 variables:
#' \describe{
#'   \item{ID_t}{target IDs}
#'   \item{wave_w3}{competence test indicator for wave 3}
#'   \item{wave_w5}{competence test indicator for wave 5}
#'   \item{tx80211_w3}{booklet rotation indicator}
#'   \item{rea30110_c}{item of reading competence test, 0 incorrect answer, 1 correct answer}
#'   \item{rea3012s_c}{...}
#'   \item{rea30130_c}{...}
#'   \item{rea30140_c}{...}
#'   \item{rea3015s_c}{...}
#'   \item{rea30210_c}{...}
#'   \item{rea30220_c}{...}
#'   \item{rea30230_c}{...}
#'   \item{rea30240_c}{...}
#'   \item{rea30250_c}{...}
#'   \item{rea3028s_c}{...}
#'   \item{rea30310_c}{...}
#'   \item{rea30320_c}{...}
#'   \item{rea30330_c}{...}
#'   \item{rea30340_c}{...}
#'   \item{rea30350_c}{...}
#'   \item{rea30360_c}{...}
#'   \item{rea30370_c}{...}
#'   \item{rea3038s_c}{...}
#'   \item{rea30410_c}{...}
#'   \item{rea3042s_c}{...}
#'   \item{rea30430_c}{...}
#'   \item{rea30440_c}{...}
#'   \item{rea30450_c}{...}
#'   \item{rea30460_c}{...}
#'   \item{rea30510_c}{...}
#'   \item{rea3052s_c}{...}
#'   \item{rea30530_c}{...}
#'   \item{rea3054s_c}{...}
#'   \item{rea30550_c}{...}
#'   \item{rea3_sc1}{simulated reading WLE}
#' }
"xTargetCompetencies_sc6"

#' Competence items for plausible values estimation
#'
#' The data set contains simulated dichotomous competence
#' test items (loosely based on NEPS SC6)
#'
#' @format A data frame with 5330 rows and 30 variables:
#' \describe{
#'   \item{ID_t}{target IDs}
#'   \item{wave_w1}{competence test indicator for wave 1}
#'   \item{wave_w3}{competence test indicator for wave 3}
#'   \item{wave_w5}{competence test indicator for wave 5}
#'   \item{wave_w9}{competence test indicator for wave 9}
#'   \item{tx80211_w1}{booklet rotation indicator}
#'   \item{tx80211_w3}{booklet rotation indicator}
#'   \item{tx80211_w5}{booklet rotation indicator}
#'   \item{tx80211_w9}{booklet rotation indicator}
#'   \item{mag5d023_c}{item of math competence test, 0 incorrect answer, 1 correct answer}
#'   \item{mag5d02s_c}{...}
#'   \item{mag5d041_c}{...}
#'   \item{mag5d051_c}{...}
#'   \item{mag5d052_c}{...}
#'   \item{mag5q121_c}{...}
#'   \item{mag5q131_c}{...}
#'   \item{mag5q14s_c}{...}
#'   \item{mag5q221_c}{...}
#'   \item{mag5q231_c}{...}
#'   \item{mag5q291_c}{...}
#'   \item{mag5q292_c}{...}
#'   \item{mag5q301_c}{...}
#'   \item{mag5r101_c}{...}
#'   \item{mag5r171_c}{...}
#'   \item{mag5r191_c}{...}
#'   \item{mag5r201_c}{...}
#'   \item{mag5r251_c}{...}
#'   \item{mag5v01s_c}{...}
#'   \item{mag5v024_c}{...}
#'   \item{mag5v071_c}{...}
#'   \item{mag5v091_c}{...}
#'   \item{mag5v271_c}{...}
#'   \item{mag5v321_c}{...}
#'   \item{mag5d051_sc3g7_c}{...}
#'   \item{mag5d052_sc3g7_c}{...}
#'   \item{mag5q301_sc3g7_c}{...}
#'   \item{mag5r191_sc3g7_c}{...}
#'   \item{mag5r251_sc3g7_c}{...}
#'   \item{mag5v321_sc3g7_c}{...}
#'   \item{mag7d011_c}{...}
#'   \item{mag7d042_c}{...}
#'   \item{mag7d061_c}{...}
#'   \item{mag7q041_c}{...}
#'   \item{mag7q051_c}{...}
#'   \item{mag7r02s_c}{...}
#'   \item{mag7r081_c}{...}
#'   \item{mag7r091_c}{...}
#'   \item{mag7v012_c}{...}
#'   \item{mag7v031_c}{...}
#'   \item{mag7v071_c}{...}
#'   \item{mag9d151_sc3g7_c}{...}
#'   \item{mag9q071_sc3g7_c}{...}
#'   \item{mag9q181_sc3g7_c}{...}
#'   \item{mag9v011_sc3g7_c}{...}
#'   \item{mag9v012_sc3g7_c}{...}
#'   \item{mag9v091_sc3g7_c}{...}
#'   \item{mag9d05s_c}{...}
#'   \item{mag9d061_c}{...}
#'   \item{mag9d09s_c}{...}
#'   \item{mag9d111_c}{...}
#'   \item{mag9d131_c}{...}
#'   \item{mag9d151_sc3g9_c}{...}
#'   \item{mag9d201_sc3g9_c}{...}
#'   \item{mag9q011_c}{...}
#'   \item{mag9q021_c}{...}
#'   \item{mag9q021_sc3g9_c}{...}
#'   \item{mag9q031_c}{...}
#'   \item{mag9q041_c}{...}
#'   \item{mag9q071_sc3g9_c}{...}
#'   \item{mag9q081_sc3g9_c}{...}
#'   \item{mag9q101_sc3g9_c}{...}
#'   \item{mag9q121_c}{...}
#'   \item{mag9q151_c}{...}
#'   \item{mag9q181_sc3g9_c}{...}
#'   \item{mag9q191_c}{...}
#'   \item{mag9q211_sc3g9_c}{...}
#'   \item{mag9r051_sc3g9_c}{...}
#'   \item{mag9r061_sc3g9_c}{...}
#'   \item{mag9r10s_c}{...}
#'   \item{mag9r111_sc3g9_c}{...}
#'   \item{mag9r14s_c}{...}
#'   \item{mag9r191_sc3g9_c}{...}
#'   \item{mag9r261_sc3g9_c}{...}
#'   \item{mag9v011_sc3g9_c}{...}
#'   \item{mag9v012_sc3g9_c}{...}
#'   \item{mag9v081_c}{...}
#'   \item{mag9v091_sc3g9_c}{...}
#'   \item{mag9v121_sc3g9_c}{...}
#'   \item{mag9v131_sc3g9_c}{...}
#'   \item{mag9v13s_sc3g9_c}{...}
#'   \item{maa3d112_sc3g12_c}{...}
#'   \item{maa3d131_sc3g12_c}{...}
#'   \item{maa3d132_sc3g12_c}{...}
#'   \item{maa3q071_sc3g12_c}{...}
#'   \item{maa3q101_sc3g12_c}{...}
#'   \item{maa3r011_sc3g12_c}{...}
#'   \item{maa3r121_sc3g12_c}{...}
#'   \item{mag12d021_sc3g12_c}{...}
#'   \item{mag12d031_sc3g12_c}{...}
#'   \item{mag12d071_sc3g12_c}{...}
#'   \item{mag12q051_sc3g12_c}{...}
#'   \item{mag12q081_sc3g12_c}{...}
#'   \item{mag12q111_sc3g12_c}{...}
#'   \item{mag12q121_sc3g12_c}{...}
#'   \item{mag12r011_sc3g12_c}{...}
#'   \item{mag12r041_sc3g12_c}{...}
#'   \item{mag12r091_sc3g12_c}{...}
#'   \item{mag12v061_sc3g12_c}{...}
#'   \item{mag12v101_sc3g12_c}{...}
#'   \item{mag12v122_sc3g12_c}{...}
#'   \item{mag12v131_sc3g12_c}{...}
#'   \item{mag12v132_sc3g12_c}{...}
#'   \item{mag9d201_sc3g12_c}{...}
#'   \item{mag9q101_sc3g12_c}{...}
#'   \item{mag9r051_sc3g12_c}{...}
#'   \item{mag9r061_sc3g12_c}{...}
#'   \item{mag9v011_sc3g12_c}{...}
#'   \item{mag9v121_sc3g12_c}{...}
#'   \item{mas1d081_sc3g12_c}{...}
#'   \item{mas1q02s_sc3g12_c}{...}
#'   \item{mag5_sc1}{simulated math WLE; cross-sectional}
#'   \item{mag7_sc1}{simulated math WLE; cross-sectional}
#'   \item{mag9_sc1}{simulated math WLE; cross-sectional}
#'   \item{mag12_sc1}{simulated math WLE; cross-sectional}
#'   \item{mag5_sc1u}{simulated math WLE; longitudinal}
#'   \item{mag7_sc1u}{simulated math WLE; longitudinal}
#'   \item{mag9_sc1u}{simulated math WLE; longitudinal}
#'   \item{mag12_sc1u}{simulated math WLE; longitudinal}
#' }
"xTargetCompetencies_sc3"
